| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::DBus::IntrospectableInterface Class Reference
Generic D-Bus proxies

`#include <TelepathyQt/DBus>`

Inherits Tp::AbstractInterface.

## Public Slots

QDBusPendingReply< QString > | Introspect (int timeout=-1)

## Public Member Functions

| IntrospectableInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| IntrospectableInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| IntrospectableInterface (Tp::DBusProxy *proxy)
| IntrospectableInterface (const Tp::AbstractInterface &mainInterface)
| IntrospectableInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members

Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.DBus.Introspectable".

## Constructor & Destructor Documentation

Tp::Client::DBus::IntrospectableInterface::IntrospectableInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a IntrospectableInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DBus::IntrospectableInterface::IntrospectableInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a IntrospectableInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DBus::IntrospectableInterface::IntrospectableInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a IntrospectableInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::DBus::IntrospectableInterface::IntrospectableInterface | ( | const Tp::AbstractInterface & | mainInterface | ) |

explicit

Creates a IntrospectableInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::DBus::IntrospectableInterface::IntrospectableInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a IntrospectableInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::DBus::IntrospectableInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.DBus.Introspectable", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::DBus::IntrospectableInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<QString> Tp::Client::DBus::IntrospectableInterface::Introspect | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `Introspect` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

void Tp::Client::DBus::IntrospectableInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.